import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class ToolService {

  constructor() { }
  // 获取权限中的院区
  getHospitalList() {
    return JSON.parse(localStorage.getItem('user')).infoPermission.hospitals || [];
  }
  // 获取权限中的分组
  getGroupList() {
    return JSON.parse(localStorage.getItem('user')).infoPermission.groups || [];
  }
  // 获取当前院区
  getCurrentHospital() {
    return JSON.parse(localStorage.getItem('user')).user.currentHospital ? JSON.parse(localStorage.getItem('user')).user.currentHospital : JSON.parse(localStorage.getItem('user')).infoPermission.hospitals[0];
  }
}
